%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name pyodbc

Name: python%{python_suffix}-%{pypi_name}
Version: 4.0.31
Release: 1
License: MIT
Summary: A Python DB API 2 module for ODBC
Url: https://github.com/mkleehammer/pyodbc

Source0: https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip
BuildRequires: unixODBC-devel

%description
pyodbc is an open source Python module that makes accessing ODBC databases
simple. It implements the DB API 2.0 specification but is packed with even more
Pythonic convenience.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-cp%{python_version_nodots}-cp%{python_version_nodots}-os400_powerpc64.whl

# Current pyodbc has a bug that installs type info in to sys.prefix, not site-packages
# See https://github.com/mkleehammer/pyodbc/issues/925
mv %{buildroot}%{_prefix}/pyodbc.pyi %{buildroot}%{python_sitelib}
sed -i 's|\.\./\.\./\.\./pyodbc.pyi|pyodbc.pyi|' %{buildroot}%{python_sitelib}/pyodbc-*.dist-info/RECORD

%files
%defattr(-, qsys, *none)

%{python_sitelib}/pyodbc*

%changelog
* Wed Jul 07 2021 Kevin Adler <kadler@us.ibm.com> - 4.0.31
- Update to 4.0.31

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 4.0.27
- Port to Python 3.9
- Use macros from python-rpm-macros

* Mon Nov 11 2019 Mark Irish <mirish@ibm.com> - 4.0.27
- Add pyodbc python3 package
